"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const bizTask_svg$1 = require("../../../../assets/model-grey/bizTask.svg.js");
const childProcess_svg$1 = require("../../../../assets/model-grey/childProcess.svg.js");
const end_svg$1 = require("../../../../assets/model-grey/end.svg.js");
const gateway_svg$1 = require("../../../../assets/model-grey/gateway.svg.js");
const inclusiveGateway_svg$1 = require("../../../../assets/model-grey/inclusiveGateway.svg.js");
const mergeGateway_svg$1 = require("../../../../assets/model-grey/mergeGateway.svg.js");
const parallelGateway_svg$1 = require("../../../../assets/model-grey/parallelGateway.svg.js");
const rde_svg$1 = require("../../../../assets/model-grey/rde.svg.js");
const service_svg$1 = require("../../../../assets/model-grey/service.svg.js");
const signTask_svg$1 = require("../../../../assets/model-grey/signTask.svg.js");
const start_svg$1 = require("../../../../assets/model-grey/start.svg.js");
const task_svg$1 = require("../../../../assets/model-grey/task.svg.js");
const wait_svg$1 = require("../../../../assets/model-grey/wait.svg.js");
const bizTask_svg = require("../../../../assets/model/bizTask.svg.js");
const childProcess_svg = require("../../../../assets/model/childProcess.svg.js");
const end_svg = require("../../../../assets/model/end.svg.js");
const gateway_svg = require("../../../../assets/model/gateway.svg.js");
const inclusiveGateway_svg = require("../../../../assets/model/inclusiveGateway.svg.js");
const mergeGateway_svg = require("../../../../assets/model/mergeGateway.svg.js");
const parallelGateway_svg = require("../../../../assets/model/parallelGateway.svg.js");
const rde_svg = require("../../../../assets/model/rde.svg.js");
const service_svg = require("../../../../assets/model/service.svg.js");
const signTask_svg = require("../../../../assets/model/signTask.svg.js");
const start_svg = require("../../../../assets/model/start.svg.js");
const task_svg = require("../../../../assets/model/task.svg.js");
const wait_svg = require("../../../../assets/model/wait.svg.js");
const Vue = require("vue");
const timeline_vue = require("./timeline.vue.js");
const index = require("../../../../../node_modules/element-plus/es/components/popover/index.js");
const F = ["src"], J = {
  key: 0,
  class: "custom-node-item-current"
}, K = ["src"], Pe = {
  __name: "NodeItem",
  props: {
    nodeType: {
      type: String,
      default: ""
    },
    isHighlight: {
      type: Boolean,
      default: false
    },
    isCurrent: {
      type: Boolean,
      default: false
    },
    hisTaskList: {
      type: Array,
      default: []
    },
    taskList: {
      type: Array,
      default: []
    }
  },
  setup(e) {
    Vue.ref("assignee");
    const i = e, r = Vue.computed(() => d(i.nodeType)), d = (s) => {
      if (s) {
        let t = "model-grey";
        return i.isHighlight && (t = "model"), new URL((/* @__PURE__ */ Object.assign({ "../../../../assets/model-grey/bizTask.svg": bizTask_svg$1.default, "../../../../assets/model-grey/childProcess.svg": childProcess_svg$1.default, "../../../../assets/model-grey/end.svg": end_svg$1.default, "../../../../assets/model-grey/gateway.svg": gateway_svg$1.default, "../../../../assets/model-grey/inclusiveGateway.svg": inclusiveGateway_svg$1.default, "../../../../assets/model-grey/mergeGateway.svg": mergeGateway_svg$1.default, "../../../../assets/model-grey/parallelGateway.svg": parallelGateway_svg$1.default, "../../../../assets/model-grey/rde.svg": rde_svg$1.default, "../../../../assets/model-grey/service.svg": service_svg$1.default, "../../../../assets/model-grey/signTask.svg": signTask_svg$1.default, "../../../../assets/model-grey/start.svg": start_svg$1.default, "../../../../assets/model-grey/task.svg": task_svg$1.default, "../../../../assets/model-grey/wait.svg": wait_svg$1.default, "../../../../assets/model/bizTask.svg": bizTask_svg.default, "../../../../assets/model/childProcess.svg": childProcess_svg.default, "../../../../assets/model/end.svg": end_svg.default, "../../../../assets/model/gateway.svg": gateway_svg.default, "../../../../assets/model/inclusiveGateway.svg": inclusiveGateway_svg.default, "../../../../assets/model/mergeGateway.svg": mergeGateway_svg.default, "../../../../assets/model/parallelGateway.svg": parallelGateway_svg.default, "../../../../assets/model/rde.svg": rde_svg.default, "../../../../assets/model/service.svg": service_svg.default, "../../../../assets/model/signTask.svg": signTask_svg.default, "../../../../assets/model/start.svg": start_svg.default, "../../../../assets/model/task.svg": task_svg.default, "../../../../assets/model/wait.svg": wait_svg.default }))[`../../../../assets/${t}/${s}.svg`], self.location).href;
      }
    };
    return Vue.ref(false), (s, t) => {
      const m = index.ElPopover;
      return e.isHighlight ? (Vue.openBlock(), Vue.createBlock(m, {
        key: 0,
        placement: "right",
        width: 500,
        "popper-style": "z-index:9999;",
        disabled: e.taskList.length == 0 && e.hisTaskList.length == 0
      }, {
        reference: Vue.withCtx(() => [
          Vue.createElementVNode("div", null, [
            Vue.createElementVNode("img", { src: Vue.unref(r) }, null, 8, F),
            e.isCurrent ? (Vue.openBlock(), Vue.createElementBlock("div", J)) : Vue.createCommentVNode("", true)
          ])
        ]),
        default: Vue.withCtx(() => [
          Vue.createVNode(Vue.unref(timeline_vue.default), {
            hisTaskList: e.hisTaskList,
            taskList: e.taskList
          }, null, 8, ["hisTaskList", "taskList"])
        ]),
        _: 1
      }, 8, ["disabled"])) : (Vue.openBlock(), Vue.createElementBlock("img", {
        key: 1,
        src: Vue.unref(r)
      }, null, 8, K));
    };
  }
};
exports.default = Pe;
